require "lib"
require "planes"
local pd=planes_definition
for _,p in pairs(data.raw.car) do
	local d=pd[p.name]
	if d then 
		if d.gfxfixed and p.animation.layers and #p.animation.layers>1 then 
			table.remove(p.animation.layers,1)--aircraft specific
		end
		if d.gfx then 
			p.animation.filename="__Aircraft__/graphics/"..d.gfx
		end
		liftoff.generate(p) 
		p.collision_mask={'not-colliding-with-itself'}
		p.collision_box=p.selection_box

		--if pd[p.name].gfx then
			--p.animation.filename="__Liftoff__/gfx/"..pd[p.name].gfx
		--end
	end
end


--data.raw.car.jet.consumption="0W"
local fuel=table.deepcopy(data.raw.item.coal)
fuel.fuel_value="99999GJ"
fuel.name="dummy-plane-fuel"
data:extend({fuel})
